mount_vfs_model_path	(current_mod_path.."/Shapes")
mount_vfs_liveries_path (current_mod_path.."/Liveries")
mount_vfs_texture_path  (current_mod_path.."/Textures")
mount_vfs_texture_path  (current_mod_path.."/Textures/b-1b")
mount_vfs_sound_path (current_mod_path.."/Sounds")
dofile(current_mod_path.."/Views.lua")


b_1b =  {
        
	Name 				=   'b-1b',
	DisplayName			= _('Rockwell B-1 Lancer'),
	Cannon = "no",
	EmptyWeight = "13380" , 
    MaxFuelWeight = "3840",
    MaxHeight = "13700",
    MaxSpeed = "2000",
    MaxTakeOffWeight = "23810",
     
	WingSpan = "13.2",
      
	Picture 			= "b-1b.png",
	Rate 				= 70, 
	Shape 				= "b-1b",
	
	shape_table_data 	= 
	{
		{
			file  	 	= 'b-1b';
			life  	 	= 20; -- lifebar
			vis   	 	= 3; -- visibility gain.
			desrt    	= 'b-1b_destr'; -- Name of destroyed object file name
			fire  	 	= { 300, 2}; -- Fire on the ground after destoyed: 300sec 2m
			username	= 'b-1b';
			index    	=  WSTYPE_PLACEHOLDER;
		},
		{
			name  = "b-1b_destr";
			file  = "b-1b_destr";
			fire  = { 240, 2};
		},

	},
	mapclasskey 		= "P0091000027",
	attribute = {wsType_Air, wsType_Airplane, wsType_Fighter, b_1b,   "Multirole fighters", "Refuelable"
        },
	Categories= {"{78EFB7A2-FD52-4b57-A6A6-3BF0E1D6555F}", "Interceptor",},
		M_empty	=	82840,
		M_nominal	=	140000,
		M_max	=	213192,
		M_fuel_max	=	88450,
		H_max	=	15240,
		average_fuel_consumption	=	0.2923,
		CAS_min	=	75,
		V_opt	=	217,
		V_take_off	=	79,
		V_land	=	78,
		has_afteburner	=	true,
		has_speedbrake	=	true,
		main_gear_pos = 	{-2.821,	-3.615,	2.681},
		radar_can_see_ground	=	false,
		nose_gear_pos = 	{16.013,	-3.615,	0},
		AOA_take_off	=	0.14,
		stores_number	=	3,
		bank_angle_max	=	45,
		Ny_min	=	-2,
		Ny_max	=	3.5,
		tand_gear_max	=	0.577,
		V_max_sea_level	=	333,
		V_max_h	=	369.4,
		tanker_type	=	1,
		wing_area	=	181,
		wing_span	=	41.67,
		wing_type 	= 	1,-- FIXED_WING = 0/VARIABLE_GEOMETRY = 1/FOLDED_WING = 2/ARIABLE_GEOMETRY_FOLDED = 3
		thrust_sum_max	=	80000,
		thrust_sum_ab	=	130000,
		Vy_max	=	70,
		length	=	44.81,
		height	=	10.36,
		flaps_maneuver	=	1,
		Mach_max	=	1.68,
		range	=	12000,
		RCS	=	5,
		Ny_max_e	=	2,
		detection_range_max	=	0,
		IR_emission_coeff	=	3,
		IR_emission_coeff_ab	=	8,
		engines_count	=	4,
		wing_tip_pos = 	{-3.996, -1.0,	20.835},
		nose_gear_wheel_diameter	=	0.754,
		main_gear_wheel_diameter	=	0.972,
-----------------------------------------------------------------
	
		engines_nozzles = 
		{
			[1] = 
			{
				pos = 	{-9.75,	-1.249,	-4.549},
				elevation	=	0,
				diameter	=	1.068,
				exhaust_length_ab	=	10.977,
				exhaust_length_ab_K	=	0.76,	
				smokiness_level     = 	0.1, 
			}, -- end of [1]
			[2] = 
			{
				pos = 	{-9.75,	-1.249,	-2.839},
				elevation	=	0,
				diameter	=	1.068,
				exhaust_length_ab	=	10.977,
				exhaust_length_ab_K	=	0.76,
				smokiness_level     = 	0.1, 
			}, -- end of [2]
			[3] = 
			{
				pos = 	{-9.75,	-1.249,	2.881},
				elevation	=	0,
				diameter	=	1.068,
				exhaust_length_ab	=	10.977,
				exhaust_length_ab_K	=	0.76,
				smokiness_level     = 	0.1, 
			}, -- end of [3]
			[4] = 
			{
				pos = 	{-9.75,	-1.249,	4.549},
				elevation	=	0,
				diameter	=	1.068,
				exhaust_length_ab	=	10.977,
				exhaust_length_ab_K	=	0.76,
				smokiness_level     = 	0.1, 
			}, -- end of [4]
		


		}, -- end of engines_nozzles
		crew_size	=	1,
		crew_members = 
		{
			[1] = 
			{
				ejection_seat_name	=	17,
				drop_canopy_name	=	12,
				pos = 	{5.219,	0.75,	0},
			}, -- end of [1]
		}, -- end of crew_members
		
		fires_pos = 
		{
			[1] = 	{0.338,	-0.815,	0},
			[2] = 	{-3.491,	-0.153,	4.263},
			[3] = 	{-3.491,	-0.153,	-4.263},
			[4] = 	{-0.82,	0.265,	2.774},
			[5] = 	{-0.82,	0.265,	-2.774},
			[6] = 	{-0.82,	0.255,	4.274},
			[7] = 	{-0.82,	0.255,	-4.274},
			[8] = 	{-8.938,	-1.237,	2.985},
			[9] = 	{-8.938,	-1.237,	-2.985},
			[10] = 	{-8.938,	-1.154,	4.571},
			[11] = 	{-8.938,	-1.154,	-4.571},
		}, -- end of fires_pos



		-- Countermeasures, 
		passivCounterm = {
			CMDS_Edit = true,
			SingleChargeTotal = 2400,
			-- RR-170
			chaff = {default = 1200, increment = 300, chargeSz = 1},
			-- MJU-7
			flare = {default = 600, increment = 150, chargeSz = 2}
        			},
		chaff_flare_dispenser = 
		{
			[1] = 
			{
				dir = 	{-1,	0,	1},
				pos = 	{-7.8,	0,	1.5},
			}, -- end of [1]
			[2] = 
			{
				dir = 	{-1,	0,	-1},
				pos = 	{-7.8,	0,	-1.5},
			}, -- end of [2]
		}, -- end of chaff_flare_dispenser


		--sensors
		
		
		CanopyGeometry = {
           		 azimuth = {-145.0, 145.0},
           		 elevation = {-50.0, 90.0}
       		},
       		Sensors = {
			RADAR = "BRLS-8B",
			IRST = "8TP",
			RWR = "Abstract RWR"
		},
		Countermeasures = {
			ECM = "Gardenia"
		},
		HumanRadio = {
			frequency = 127.5,  -- Radio Freq
			editable = true,
			minFrequency = 100.000,
			maxFrequency = 156.000,
			modulation = MODULATION_AM
		},
		
		Guns = {
 gun_mount("M_61", { count = 2000 },{muzzle_pos = {3.209,  0.372, 1.749},elevation_initial = 2.0})
			},

	
	Pylons =     {
        pylon(1, 2, 8.843000, 0.400000, 0.000000, 
            {
            },
            {
                { CLSID = "{51F9AAE5-964F-4D21-83FB-502E3BFE5F8A}" },
                { CLSID = "{DB769D48-67D7-42ED-A2BE-108D566C8B1E}" },
                { CLSID = "{EF0A9419-01D6-473B-99A3-BEBDB923B14D}" },
				{ CLSID = "{D9179118-E42F-47DE-A483-A6C2EA7B4F38"  },
				{ CLSID	= "{90321C8E-7ED1-47D4-A160-E074D5ABD902}" },
				{ CLSID	= "{D3ABF208-FA56-4D56-BB31-E0D931D57AE3}" },
				{ CLSID	= "{ACADB374-6D6C-45A0-BA7C-B22B2E108AE4}" },
				{ CLSID = "{37DCC01E-9E02-432F-B61D-10C166CA2798}" },  --FAB-500 M62  Bomb
				{ CLSID = "{96A7F676-F956-404A-AD04-F33FB2C74884}" }, --KMGU-2-96 PTAB-2.5KG  Bomb
                { CLSID = "{96A7F676-F956-404A-AD04-F33FB2C74881}" }, --KMGU-2-96 AO-2.5 5RT  Bomb
				{ CLSID = "{3C612111-C7AD-476E-8A8E-2485812F4E5C}" },  --FAB-250 Bomb
                { CLSID = "{0511E528-EA28-4caf-A212-00D1408DF10A}" },  -- SAB-500  Bomb
				{ CLSID = "{RN-24}" },
                { CLSID = "{RN-28}" },
            }
        ),
        pylon(2, 2, 3.977000, 0.400000, 0.000000,
            {
            },
            {
                { CLSID = "{51F9AAE5-964F-4D21-83FB-502E3BFE5F8A}" },
                { CLSID = "{DB769D48-67D7-42ED-A2BE-108D566C8B1E}" },
                { CLSID = "{EF0A9419-01D6-473B-99A3-BEBDB923B14D}" },
				{ CLSID = "{D9179118-E42F-47DE-A483-A6C2EA7B4F38"  },
				{ CLSID	= "{90321C8E-7ED1-47D4-A160-E074D5ABD902}" },
				{ CLSID	= "{D3ABF208-FA56-4D56-BB31-E0D931D57AE3}" },
				{ CLSID	= "{ACADB374-6D6C-45A0-BA7C-B22B2E108AE4}" },
				{ CLSID = "{37DCC01E-9E02-432F-B61D-10C166CA2798}" },  --FAB-500 M62  Bomb
				{ CLSID = "{96A7F676-F956-404A-AD04-F33FB2C74884}" }, --KMGU-2-96 PTAB-2.5KG  Bomb
                { CLSID = "{96A7F676-F956-404A-AD04-F33FB2C74881}" }, --KMGU-2-96 AO-2.5 5RT  Bomb
				{ CLSID = "{3C612111-C7AD-476E-8A8E-2485812F4E5C}" },  --FAB-250 Bomb
                { CLSID = "{0511E528-EA28-4caf-A212-00D1408DF10A}" },  -- SAB-500  Bomb
				{ CLSID = "{RN-24}" },
                { CLSID = "{RN-28}" },
            }
        ),

         pylon(3, 0, -17.5, 0., 0.000, 

           {
            },
			{
			   	{ CLSID = "{white}" },
	            { CLSID = "{red}" }, 
				{ CLSID = "{orange}" }, 
				{ CLSID = "{yellow}" },
				{ CLSID = "{green}"}, 
				{ CLSID = "{blue}" }, 
				{ CLSID = "{purple}" }, 
				{ CLSID = "{light green}"}, 
				{ CLSID = "{pink}" }, 
				{ CLSID = "{lime green}"}, 
				  
			}
           ),
  

 },



	Failures = {
			{ id = 'asc', 		label = _('ASC'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'autopilot', label = _('AUTOPILOT'), enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'hydro',  	label = _('HYDRO'), 	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'l_engine',  label = _('L-ENGINE'), 	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'r_engine',  label = _('R-ENGINE'), 	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'radar',  	label = _('RADAR'), 	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'eos',  		label = _('EOS'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'helmet',  	label = _('HELMET'), 	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'mlws',  	label = _('MLWS'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'rws',  		label = _('RWS'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'ecm',   	label = _('ECM'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'hud',  		label = _('HUD'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'mfd',  		label = _('MFD'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },		
	},
	
	mapclasskey = "P0091000024",


	Tasks = {
	aircraft_task(CAP),
     	aircraft_task(Escort),
    	aircraft_task(FighterSweep),
	aircraft_task(Intercept),
	aircraft_task(Reconnaissance),
    	aircraft_task(GroundAttack),
     	aircraft_task(CAS),
        aircraft_task(AFAC),
    aircraft_task(PinpointStrike),
	
    },	
	DefaultTask = aircraft_task(CAP),

	SFM_Data = {
	aerodynamics = 
		{
			Cy0	=	0.2,
			Mzalfa	=	6.6,
			Mzalfadt	=	1,
			kjx	=	2.85,
			kjz	=	0.00125,
			Czbe	=	-0.012,
			cx_gear	=	0.015,
			cx_flap	=	0.04,
			cy_flap	=	0.6,
			cx_brk	=	0.1,
			table_data = 
			{
				[1] = 	{0.0,	0.0215,	0.07,	0.018,	0.025,	0.5,	30,	1.1},
				[2] = 	{0.2,	0.0215,	0.07,	0.018,	0.025,	1.5,	30,	1.1},
				[3] = 	{0.4,	0.0215,	0.07,	0.018,	0.025,	2.5,	30,	1.1},
				[4] = 	{0.6,	0.0215,	0.073,	0.018,	0.025,	3.5,	30,	1.1},
				[5] = 	{0.7,	0.0225,	0.076,	0.024,	0.05,	3.5,	28.666666666667,	1.0911111111111},
				[6] = 	{0.8,	0.022,	0.079,	0.3,	0.052,	3.5,	27.333333333333,	1.0822222222222},
				[7] = 	{0.9,	0.0235,	0.083,	0.324,	0.0536,	3.5,	26,	1.0733333333333},
				[8] = 	{1,	0.03,	0.085,	0.348,	0.0552,	3.5,	24.666666666667,	1.0644444444444},
				[9] = 	{1.05,	0.031,	0.0855,	0.36,	0.056,	3.5,	24,	1.06},
				[10] = 	{1.1,	0.032,	0.086,	0.372,	0.0568,	3.15,	18,	1.04},
				[11] = 	{1.2,	0.0325,	0.083,	0.396,	0.0584,	2.45,	17,	1.02},
				[12] = 	{1.3,	0.032,	0.077,	0.42,	0.06,	1.75,	16,	1},
				[13] = 	{1.5,	0.031,	0.062,	0.488571,	0.06,	1.5,	13,	0.9},
				[14] = 	{1.7,	0.03,	0.051333333333333,	0.557143,	0.06,	0.9,	12,	0.7},
				[15] = 	{1.8,	0.0295,	0.046,	0.591429,	0.06,	0.86,	11.4,	0.64},
				[16] = 	{2,	0.029,	0.039,	0.66,	0.06,	0.78,	10.2,	0.52},
				[17] = 	{2.2,	0.028,	0.034,	0.227,	3.2,	0.7,	9,	0.4},
				[18] = 	{2.5,	0.027,	0.033,	0.25,	4.5,	0.7,	9,	0.4},
				[19] = 	{3.9,	0.027,	0.033,	0.35,	6,	0.7,	9,	0.4},
			}, -- end of table_data
		}, -- end of aerodynamics
		engine = 
		{
			Nmg	=	67.5,
			MinRUD	=	0,
			MaxRUD	=	1,
			MaksRUD	=	0.85,
			ForsRUD	=	0.91,
			typeng	=	1,
			hMaxEng	=	19,
			cemax	=	0.37,
			cefor	=	0.37,
			dpdh_m	=	3000,
			dpdh_f	=	16000,
			table_data = 
			{
				[1] = 	{0,	260000,	544000},
				[2] = 	{0.2,	261346.3,	555216.5},
				[3] = 	{0.4,	265306.1,	570000},
				[4] = 	{0.6,	281414,	630000},
				[5] = 	{0.7,	298469.4,	675000},
				[6] = 	{0.8,	370000,	750000},
				[7] = 	{0.9,	360000,	790000},
				[8] = 	{1,	320000,	856000},
				[9] = 	{1.1,	320000,	880000},
				[10] = 	{1.2,	324703,	895000},
				[11] = 	{1.3,	336582.4,	895000},
				[12] = 	{1.4,	348461.8,	860000},
				[13] = 	{1.6,	368260.7,	640000},
				[14] = 	{1.8,	384099.9,	440000},
				[15] = 	{2.2,	459336,	314000},
				[16] = 	{2.35,	467255.6,	450000},
				[17] = 	{3.9,	304904.1,	841237.1},
			}, -- end of table_data               
		}, -- end of engine
	},



	Damage = {
				["FIN_L_TOP"] 			 = {critical_damage = 10, args = {244},deps_cells = {"RUDDER_L"}},
				["RUDDER_L"] 			 = {critical_damage = 5 , args = {248}},
				["FIN_R_TOP"] 			 = {critical_damage = 10, args = {241},deps_cells = {"RUDDER_R"}},
				["RUDDER_R"] 			 = {critical_damage = 5 , args = {247}},
				["ELEVATOR_R_IN"]		 = {critical_damage = 5 , args = {237}},
				["ELEVATOR_L_IN"]		 = {critical_damage = 5 , args = {239}},

				["ENGINE_L"]			 = {critical_damage = 10 , args = {167},droppable = false},
				["ENGINE_R"]			 = {critical_damage = 10 , args = {169},droppable = false},
				["FUSELAGE_LEFT_SIDE"]   = {critical_damage = 5 , args = {154,299},droppable = false},
				["FUSELAGE_RIGHT_SIDE"]  = {critical_damage = 5 , args = {153,303},droppable = false},
				["FUSELAGE_BOTTOM"]  	 = {critical_damage = 5 , args = {152}	   ,droppable = false},

				["NOSE_CENTER"]  	 	 = {critical_damage = 5 , args = {146},droppable = false},
				["NOSE_BOTTOM"]  	 	 = {critical_damage = 5 , args = {148},droppable = false},
				["CABIN_LEFT_SIDE"]  	 = {critical_damage = 5 , args = {150 , 298},droppable = false},
				["CABIN_RIGHT_SIDE"]  	 = {critical_damage = 5 , args = {149 , 301 , 302},droppable = false},
				["COCKPIT"]  	 		 = {critical_damage = 5 , args = {65},droppable = false},

				["WING_R_CENTER"]  	= {critical_damage = 10, args = {214},deps_cells = {"ELERON_R"}},
				["WING_R_IN"]  	 	= {critical_damage = 10, args = {215},deps_cells = {"FLAP_R_IN"},droppable = false},
				["ELERON_R"]  	 	= {critical_damage = 5 , args = {216},droppable = false},
				["FLAP_R_IN"]  	 	= {critical_damage = 5 , args = {217},droppable = false},
				["WING_L_CENTER"]  	= {critical_damage = 10, args = {224},deps_cells = {"ELERON_L"}},
				["WING_L_IN"]  	 	= {critical_damage = 10, args = {225},deps_cells = {"FLAP_L_IN"},droppable = false},
				["ELERON_L"]  	 	= {critical_damage = 5 , args = {226},droppable = false},
				["FLAP_L_IN"]  	 	= {critical_damage = 5 , args = {227},droppable = false},
	},
	
	DamageParts = 
	{  
		[1] = "b-1b-OBLOMOK-WING-R", -- wing R
		[2] = "b-1b1-OBLOMOK-WING-L",

	},
	
	lights_data = {
	typename = "collection",
	lights = {
    [1] = { typename = "collection",
						lights = {-- Left Anticollision Light
								  {typename = "natostrobelight",
								   connector = "WHITE_BEACON L",
								   argument_1 = 195,
								   period = 1.2,
								   phase_shift = 0
								  },
								  -- Right Anticollision Light
								  {typename = "natostrobelight",
								   connector = "WHITE_BEACON R",
								   argument_1 = 196,
								   period = 1.2,
								   phase_shift = 0
								  },
								  -- Tail Anticollision Light
								  {typename = "natostrobelight",
								   connector = "BANO_0_BACK",
								   argument_1 = 192,
								   period = 1.2,
								   phase_shift = 0
								  }
								 }
									  },
	[2] = { typename = "collection",
							lights = {-- Landing light
									  {typename = "spotlight",
									   connector = "MAIN_SPOT_PTR_02",
									   argument = 209,
									   dir_correction = {elevation = math.rad(-1)}
									  },
									  {-- Landing/Taxi light
									   typename = "spotlight",
									   connector = "MAIN_SPOT_PTR_01",
									   argument = 208,
									   dir_correction = {elevation = math.rad(3)}
									  }
									 }
						},
    [3]	= {	typename = "collection",
								lights = {-- Left Position Light (red)
								{typename = "omnilight",
								 connector = "BANO_1",
								 color = {0.99, 0.11, 0.3},
								 pos_correction  = {0.1, 0, -0.2},
								 argument  = 190
								},
								 -- Right Position Light (green)
								{typename = "omnilight",
								connector = "BANO_2",
								color = {0, 0.894, 0.6},
								pos_correction = {0.1, 0, 0.2},
								argument  = 191
								},
								-- Tail Position Light (white)
								{typename = "omnilight",
								connector = "BANO_0",
								color = {1, 1, 1},
								pos_correction  = {0, 0, 0},
								argument  = 192
								}}
							},

	[4]	= {typename = "collection",
			lights = {
						{typename = "collection",
						lights = {{
								-- Right Nacelle Floodlight
								typename = "spotlight",
								position  = {0.5, 1.2, 0},
								color = {1.0, 1.0, 1.0},
								intensity_max = 0.0,
								angle_max = 0.45,
								direction = {azimuth = math.rad(150), elevation = math.rad(5)},
								dont_change_color = false,
								angle_change_rate = 0
							   },
							   {
								-- Left Nacelle Floodlight
								typename = "spotlight",
								position  = {0.5, 1.2, 0},
								color = {1.0, 1.0, 1.0},
								intensity_max = 0.0,
								angle_max = 0.45,
								direction = {azimuth = math.rad(-150), elevation = math.rad(5)},
								dont_change_color = false,
								angle_change_rate = 0
							   },
							   {typename  = "argumentlight", argument = 212},
						},
					},
					{typename = "collection",
						lights = {{
								-- Left Nose Floodlight
								typename  = "spotlight",
								position  = {0, -0.3, -5.80},
								color = {1.0, 1.0, 1.0},
								intensity_max = 0.0, angle_max = 0.45,
								direction = {azimuth = math.rad(45)},
								argument = 211,
								dont_change_color = false,
								angle_change_rate = 0
							   },
							   {
								-- Right Nose Floodlight
								typename = "spotlight",
								position  = {0, -0.3, 5.80},
								color = {1.0, 1.0, 1.0},
								intensity_max = 0.0,
								angle_max = 0.45,
								direction = {azimuth = math.rad(-45)},
								argument = 210,
								dont_change_color = false,
								angle_change_rate = 0
							   }
						}
					},
					
					{
						typename = "omnilight", position  = {6.5, 0.4, 0}, color = {6, 6, 2}
					}
				  },
			}
		}
	},
}

add_aircraft(b_1b)
