declare_plugin("MiG-23MLD",
{
image     	 = "FC.bmp",
installed 	 = true, -- if false that will be place holder , or advertising
dirName	  	 = current_mod_path,
fileMenuName = _("MiG-23MLD"),

version		 = "1.2.16",
state		 = "installed",
info		 = _("The Mikoyan-Gurevich MiG-23 (Russian: Микоян и Гуревич МиГ-23; NATO reporting name Flogger) is a variable-geometry fighter aircraft, designed by the Mikoyan-Gurevich design bureau in the Soviet Union."),
binaries	= { 'FC3',},  
InputProfiles =
{
    ["mig-23ml"] = current_mod_path .. '/Input/MiG-23MLD',
},


Skins	=
	{
		{
			name	= _("MiG-23MLD"),
			dir		= "Theme"
		},
	},
	
Missions =
	{
		{
			name		= _("MiG-23MLD"),
			dir			= "Missions",
		},
	},		

LogBook =
	{
		{
			name		= _("MiG-23MLD"),
			type		= "MiG-23MLD",
		},
	},		
}
)
----------------------------------------------------------------------------------------

mount_vfs_model_path	(current_mod_path.."/Shapes")
mount_vfs_model_path ("Bazar/World/Shape")
mount_vfs_texture_path("Bazar/World/textures")

dofile(current_mod_path.."/Views.lua")
make_view_settings('MiG-23MLD', ViewSettings, SnapViews)

make_flyable('MiG-23MLD', nil, {self_ID,nil,old = 3}, current_mod_path..'/comm.lua')
----------------------------------------------------------------------------------------
plugin_done()
